import { Controller, Post, Body, Get, UseGuards } from '@nestjs/common';
import { AuthService } from './auth.service';
import { LoginDto } from './login.dto';
import { AuthGuard } from '@nestjs/passport';
import { User } from '../../core/decorators/user.decorator';

@Controller('auth')
export class AuthController {
    constructor(
        private readonly authService: AuthService,
    ) { }

    @Post('login')
    async login(@Body() data: LoginDto) {
        return await this.authService.login(data)
    }

    @Get('test')
    @UseGuards(AuthGuard())
    async authTest(@User() user) {
        console.log('user: ', user)
        return {
            message: 'ok',
        }
    }

}
